UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawBlob Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawBlob:

## Public Member Functions
| LBMSDMRawBlob (int len)
| LBMSDMRawBlob (byte[] b)
| LBMSDMRawBlob (byte[] b, int offset, int size)
| LBMSDMRawBlob (String s)
int | length ()
byte[] | get ()
String | toString ()
LBMSDMRawBlob | clone () throws CloneNotSupportedException
String | toDbgString ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Attributes
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Protected Attributes
int | debug_level = 0

## Detailed Description

An LBMSDMRawBlob is a helper class to minimise the effort of formatting and parsing Binary Large OBjects (BLOBs)

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | int | len | ) |

Create a new blob with a specified length.

Parameters

  len | The length of the blob

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawBlob.clone().

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | byte [] | b | ) |

Create a new blob with a specified byte array.

Parameters

  b | The buffer to be used for the blob

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | byte [] | b,
|  | int | offset,
|  | int | size
| ) |  |

Create a new blob from a part of an existing byte array

Parameters

  b | The buffer to be used for the blob
  offset | The offset in the buffer to start copying from
  size | The size of the block to be copied

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | String | s | ) |

Create a new blob from a string. Either a basic string can be used or a hex encoded string in the form of x"0123456789abcdef" can be used. This format means byte one will be 0x01, byte two 0x23 etc

Parameters

  s | The string to be used for the blob

## Member Function Documentation

LBMSDMRawBlob com.latencybusters.lbm.sdm.LBMSDMRawBlob.clone | ( |  | ) | throws CloneNotSupportedException

Get a copy of this blob

Returns
  A cloned object

References com.latencybusters.lbm.sdm.LBMSDMRawBlob.clone(), and com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob().

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawBlob.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.LBMSDMFieldBlob(), and com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set().

byte [] com.latencybusters.lbm.sdm.LBMSDMRawBlob.get | ( |  | ) |

Get the blob byte array

Returns
  The blobs byte array

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayBlob.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.set(), and com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toByteArray().

int com.latencybusters.lbm.sdm.LBMSDMRawBlob.length | ( |  | ) |

Get the length of the blob

Returns
  The length of the blob

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayBlob.append(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.get_len(), and com.latencybusters.lbm.sdm.LBMSDMArrayBlob.LBMSDMArrayBlob().

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

String com.latencybusters.lbm.sdm.LBMSDMRawBlob.toString | ( |  | ) |

Get the blob in a hex string format x"1234...." etc.

Returns
  The hex string representing the blob

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

The documentation for this class was generated from the following file:

- LBMSDMRawBlob.java